###################################################
### chunk number 1: 
###################################################
options(digits=3)


###################################################
### chunk number 2: 
###################################################
library(fitdistrplus)


###################################################
### chunk number 3: plotdistx1
###################################################
x1<-c(6.4,13.3,4.1,1.3,14.1,10.6,
9.9,9.6,15.3,22.1,13.4,13.2,
8.4,6.3,8.9,5.2,10.9,14.4)
plotdist(x1)


###################################################
### chunk number 4: descdistx1
###################################################
descdist(x1)


###################################################
### chunk number 5: descdistx1boot
###################################################
descdist(x1,boot=1000)


###################################################
### chunk number 6: fitdistx1g
###################################################
f1g<-fitdist(x1,"gamma")
plot(f1g)
summary(f1g)


###################################################
### chunk number 7: 
###################################################
f1gbis<-fitdist(x1,"gamma",method="mme")
summary(f1gbis)


###################################################
### chunk number 8: 
###################################################
f1g$chisqtable


###################################################
### chunk number 9: fitdistx1ln
###################################################
f1l<-fitdist(x1,"lnorm")
plot(f1l)
summary(f1l)


###################################################
### chunk number 10: fitdistx1n
###################################################
f1n<-fitdist(x1,"norm")
plot(f1n)
summary(f1n)


###################################################
### chunk number 11: fitdistx1w
###################################################
f1w<-fitdist(x1,"weibull")
plot(f1w)
summary(f1w)


###################################################
### chunk number 12: 
###################################################
anderson<-list(lnorm=f1l$ad,gamma=f1g$ad,norm=f1n$ad,weibull=f1w$ad)
anderson


###################################################
### chunk number 13: plotdistx1gu1
###################################################
dgumbel<-function(x,a,b) 1/b*exp((a-x)/b)*exp(-exp((a-x)/b))
pgumbel<-function(q,a,b) exp(-exp((a-q)/b))
qgumbel<-function(p,a,b) a-b*log(-log(p))
plotdist(x1,"gumbel",para=list(a=3,b=2))


###################################################
### chunk number 14: plotdistx1gu2
###################################################
plotdist(x1,"gumbel",para=list(a=10,b=5))


###################################################
### chunk number 15: fitdistx1gu
###################################################
fgu<-fitdist(x1,"gumbel",start=list(a=10,b=5))
plot(fgu)
summary(fgu)


###################################################
### chunk number 16: bootdistf1g
###################################################
b1g<-bootdist(f1g)
plot(b1g)
summary(b1g)


###################################################
### chunk number 17: plotdistx2
###################################################
x2<-rnbinom(n=100,size=2,prob=0.3)
plotdist(x2,discrete=TRUE)


###################################################
### chunk number 18: descdistx2
###################################################
descdist(x2,discrete=T)


###################################################
### chunk number 19: fitdistx2p
###################################################
f2p<-fitdist(x2,"pois")
plot(f2p)
summary(f2p)
b2p<-bootdist(f2p)
summary(b2p)


###################################################
### chunk number 20: fitdistx2nb
###################################################
f2n<-fitdist(x2,"nbinom")
plot(f2n)
summary(f2n)
b2n<-bootdist(f2n)
summary(b2n)


###################################################
### chunk number 21: plotdistcensd1
###################################################
d1<-data.frame(
left=c(1.73,1.51,0.77,1.96,1.96,-1.4,-1.4,NA,-0.11,0.55,0.41,
    2.56,NA,-0.53,0.63,-1.4,-1.4,-1.4,NA,0.13),
right=c(1.73,1.51,0.77,1.96,1.96,0,-0.7,-1.4,-0.11,0.55,0.41,
    2.56,-1.4,-0.53,0.63,0,-0.7,NA,-1.4,0.13))
plotdistcens(d1)


###################################################
### chunk number 22: plotdistcensd2
###################################################
d2<-data.frame(left=10^(d1$left),right=10^(d1$right))
plotdistcens(d2,leftNA=0)


###################################################
### chunk number 23: plotdistcensd1bis
###################################################
plotdistcens(d1,rightNA=3)


###################################################
### chunk number 24: fitdistcensd2w
###################################################
f2w<-fitdistcens(d2,"weibull")
summary(f2w)
plot(f2w,leftNA=0)


###################################################
### chunk number 25: bootdistcensf2w
###################################################
b2w<-bootdistcens(f2w)
summary(b2w)
plot(b2w)


###################################################
### chunk number 26: fitdistcensd2ln
###################################################
f2l<-fitdistcens(d2,"lnorm")
summary(f2l)
plot(f2l,leftNA=0)


###################################################
### chunk number 27: fitdistcensd2e
###################################################
f2e<-fitdistcens(d2,"exp")
summary(f2e)
plot(f2e,leftNA=0)


###################################################
### chunk number 28: 
###################################################
fitdist(x1,"gamma",optim.method="Nelder-Mead")
fitdist(x1,"gamma",optim.method="BFGS") 
fitdist(x1,"gamma",optim.method="L-BFGS-B",lower=c(0,0))
fitdist(x1,"gamma",optim.method="SANN")


